dbskkd-cdb (1:3.00-2) unstable; urgency=medium

  * Update debhelper compat version to 11
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 04 Jun 2018 19:46:40 +0900

dbskkd-cdb (1:3.00-1) unstable; urgency=medium

  * New upstream version 3.00
  * Update debian/copyright
  * Update debhelper compat version to 9
  * Install *.md documents

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jan 2017 20:10:46 +0900

dbskkd-cdb (1:2.00+0.20161005-1) unstable; urgency=medium

  * Imported Upstream version 2.00+0.20161005
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Update debian/watch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 09:40:47 +0900

dbskkd-cdb (1:2.00+0.20140502-2) unstable; urgency=medium

  * Update debian/watch
  * Update debian/copyright
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 13 Sep 2015 14:12:38 +0900

dbskkd-cdb (1:2.00+0.20140502-1) unstable; urgency=medium

  * Imported Upstream version 2.00+0.20140502
  * Add Vcs-Git and Vcs-Browser
  * Update debian/copyright
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Aug 2014 20:59:58 +0900

dbskkd-cdb (1:2.00-6) unstable; urgency=low

  * debian/rules: Revive the -Wall option for CFLAGS

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 Sep 2012 20:16:04 +0900

dbskkd-cdb (1:2.00-5) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags to support hardening flags

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2012 11:34:47 +0900

dbskkd-cdb (1:2.00-4) unstable; urgency=low

  * debian/copyright: Switch to copyright-format-1.0.
  * debian/rules: Add the targets build-arch and build-indep.
  * debian/control:
    - Set Homepage to the new project page
      <http://github.com/jj1bdx/dbskkd-cdb>.
    - Update Standards-Version to 3.9.3.
  * debian/watch: Follow the change of URL.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 18 Apr 2012 22:54:06 +0900

dbskkd-cdb (1:2.00-3) unstable; urgency=low

  * debian/watch: Follow the change of URL.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 04 Jun 2010 01:06:31 +0900

dbskkd-cdb (1:2.00-2) unstable; urgency=low

  * debian/control:
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.8.4.
  * debian/postinst: Use --remove and --add to completely replace an entry
    for update-inetd.
  * debian/postrm: When "remove", use --disable instead of --remove for
    update-inetd.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2010 22:59:11 +0900

dbskkd-cdb (1:2.00-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - To compile, use CDBLIB instead of LDFLAGS, and remove SERVERDIR.
    - Install *.sh into usr/share/dbskkd-cdb.
    - Install CHANGES by dh_installchangelogs.
    - Install README* and *.txt by dh_installdocs.
    - Use dh_prep instead of `dh_clean -k'.
  * debian/makeskkcdbdic: Simplified and use skktocdbm.sh.
  * debian/patches: Removed, not to use quilt.
  * debian/rules, debian/control: Don't use quilt.
  * debian/watch: Follow the change of URL.
  * debian/control:
    - Move `Homepage:' from Description to the header, and follow the change
      of URL.
    - Set Standards-Version to 3.8.0.
    - Build-Depends: debhelper (>= 7).
    - Enhances: skk.
  * debian/compat: 5 -> 7.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Feb 2009 21:54:19 +0900

dbskkd-cdb (1:1.01-21) unstable; urgency=low

  * debian/control (Depends): Depend on `openbsd-inetd | inet-superserver'
    instead of `netbase'.
  * debian/rules (binary-arch): Don't install debian/makeskkcdbdic into
    the examples directory.
  * debian/copyright:
    - Update copyright years.
    - Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 22:58:05 +0900

dbskkd-cdb (1:1.01-20) unstable; urgency=low

  * debian/control (Build-Depends): Don't depend on tinycdb (<< 0.75).
  * debian/patches/tinycdb-seek.patch: Removed.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 28 Sep 2006 20:14:43 +0900

dbskkd-cdb (1:1.01-19) unstable; urgency=low

  * debian/control (Build-Depends): Conform to new tinycdb.  Depend on
    `libcdb-dev | tinycdb (<< 0.75)'.
  * debian/postrm: Use `which' instead of `command -v'.
  * debian/postrm: Remove a modified entry of `skkserv' when "purge".
  * debian/postinst: Check whether update-inetd is installed.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 17 Sep 2006 19:20:51 +0900

dbskkd-cdb (1:1.01-18) unstable; urgency=low

  * debian/patches/datasize.patch: Increase DATASIZE from 2048 to 4096
    so that the longest line of SKK-JISYO.L can be used.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon,  4 Sep 2006 23:31:37 +0900

dbskkd-cdb (1:1.01-17) unstable; urgency=low

  * debian/patches/tinycdb-seek.patch: Fix that cdb_seek() fails if datalen
    is zero. (Workaround for cdb_seek() bug in tinycdb, Debian bug#383417)
  * debian/patches/datalen-type.patch: Fix that cdb_seek() fails on 64bit
    systems.  Use unsigned int instead of uint32 for datalen and use
    tinycdb's header. (already fixed in version 1:1.01-14)
  * debian/patches/awk-locale.patch: Set LC_ALL to C for awk.
  * Depend on quilt (>= 0.40) to handle patches at build time.
  * debian/rules: Install `debian/makeskkcdbdic' into `/usr/bin'.
  * debian/rules: Install manpage `debian/makeskkcdbdic.1'.
  * debian/rules: Install `skktocdbm.sh' into `/usr/share/dbskkd-cdb'.
  * debian/makeskkcdbdic: Set LC_ALL to C for awk.
  * debian/makeskkcdbdic: Check whether cdb command exists.
  * debian/makeskkcdbdic.1: New file.
  * debian/control: Move tinycdb from `Suggests' to `Recommends'.
  * debian/control (Description): Revised.
  * debian/README.Debian: Revised.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun,  3 Sep 2006 22:52:22 +0900

dbskkd-cdb (1:1.01-16) unstable; urgency=low

  * debian/control: Remove `skksearch' from `Conflicts' and `Replaces',
    because `skkserv' is enough.
  * debian/control (Description): Revised.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 22 Aug 2006 01:19:37 +0900

dbskkd-cdb (1:1.01-15) unstable; urgency=low

  * New maintainer, with previous maintainer's consent.
  * debian/control: Add `Enhances: ddskk | skk' and `Suggests: tinycdb'.
  * debian/control: Depend on debhelper version 5.
  * debian/compat: 4 -> 5.
  * debian/control (Standards-Version): 3.6.2 -> 3.7.2.
  * debian/README.Debian: Mention the default value of the dictionary file.
  * debian/control (Description): Modified.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 14 Aug 2006 06:28:13 +0900

dbskkd-cdb (1:1.01-14) unstable; urgency=low

  * Apply 64bit system patch (closes: #339739). Thanks Yasuhiro.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 20 Nov 2005 02:16:05 +0000

dbskkd-cdb (1:1.01-13) unstable; urgency=low

  * New maintainer (#328590)

 -- Kenshi Muto <kmuto@debian.org>  Wed, 16 Nov 2005 10:19:20 +0000

dbskkd-cdb (1:1.01-12) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (see #328590); set maintainer to Debian QA Group.
  * Switch from freecdb to tinycdb.  Thanks to Charles Fry for the
    preliminary patch.  Closes: #325270.
  * Switch to debhelper 4.
  * Add a dependency on netbase for update-inetd.
  * debian/makeskkcdbdic:
    - Remove bash-specific constructs.
    - Handle filenames containing whitespace.
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Make makeskkcdbdic executable.
  * debian/copyright: Update upstream URL.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sat, 12 Nov 2005 10:47:18 +0100

dbskkd-cdb (1:1.01-11) unstable; urgency=low

  * Included /usr/shared/co/dbskkd-cdb/examples/makeskkcdbdic.
    (Closes: Bug#147461)
  * Updated Standars-Version: 3.5.6.

 -- Takao KAWAMURA <kawamura@debian.org>  Mon, 20 May 2002 10:51:47 +0900

dbskkd-cdb (1:1.01-10) unstable; urgency=low

  * Source Package: Doesn't provide dbskk-cdb-dic.
  * Updated Standars-Version: 3.2.1.

 -- Takao KAWAMURA <kawamura@debian.org>  Wed, 22 Nov 2000 12:47:01 +0900

dbskkd-cdb (1:1.01-9) unstable; urgency=low

  * Changed dependency on dbskkd-cdb-dic from `Recommends' to `Suggests'.
    (Closes: Bug#69865)

 -- Takao KAWAMURA <kawamura@debian.org>  Fri, 25 Aug 2000 11:34:11 +0900

dbskkd-cdb (1:1.01-8) unstable; urgency=low

  * Added debheper in Build-Depends.  (Closes: Bug#69679)
  * Updated Standars-Version: 3.2.0.

 -- Takao KAWAMURA <kawamura@debian.org>  Wed, 23 Aug 2000 11:11:12 +0900

dbskkd-cdb (1:1.01-7) unstable; urgency=low

  * Splited into dbskkd-cdb and dbskk-cdb-dic.
  * Included makeskkcdbdic script.

 -- Takao KAWAMURA <kawamura@debian.org>  Wed, 14 Jun 2000 01:12:00 +0900

dbskkd-cdb (1:1.01-6) unstable; urgency=low

  * Build-Depends on freecdb.

 -- Takao KAWAMURA <kawamura@debian.org>  Wed,  5 Jan 2000 13:39:13 +0900

dbskkd-cdb (1:1.01-5) unstable; urgency=low

  * Renamed Build-Depends-Indep to Build-Depends.  (Closes: Bug#52204)

 -- Takao KAWAMURA <kawamura@debian.org>  Thu,  9 Dec 1999 01:44:10 +0900

dbskkd-cdb (1:1.01-4) unstable; urgency=low

  * Chaged the priority to `extra' because dbskkd-cdb conflicts with
    skkserv which has the `optional' priority.

 -- Takao KAWAMURA <kawamura@debian.org>  Mon,  6 Dec 1999 13:00:47 +0900

dbskkd-cdb (1:1.01-3) unstable; urgency=low

  * Updated Standars-Version: 3.1.1.
  * Suggests ddskk.

 -- Takao KAWAMURA <kawamura@debian.org>  Mon, 15 Nov 1999 18:14:19 +0900

dbskkd-cdb (1:1.01-2) unstable; urgency=low

  * Included makeskkcdb.sh and skktocdbm.sh into examples/.
    (Closes: Bug#42391)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue,  9 Nov 1999 15:35:22 +0900

dbskkd-cdb (1:1.01-1) unstable; urgency=low

  * New upstream release
  * FHS-compliant

 -- Takao KAWAMURA <kawamura@debian.org>  Wed, 29 Sep 1999 10:18:29 +0900

dbskkd-cdb (1:1.00-2) unstable; urgency=low

  * (rules) debian/makedic -> /bin/sh debian/makedic (Bug#40102,40107)

 -- Takao KAWAMURA <kawamura@debian.org>  Fri, 25 Jun 1999 01:40:35 +0900

dbskkd-cdb (1:1.00-1) unstable; urgency=low

  * Included only *.[ch] from cdb-0.55.tar.gz; then dbskkd-cdb goes into
    main legally.  (Bug#39937)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 22 Jun 1999 21:56:42 +0900

dbskkd-cdb (1.00+cdb-0.55-1) unstable; urgency=low

  * Removed cdb-0.55.tar.gz from the source pacage of dbskkd-cdb and let
    dbskkd-cdb go into contrib.

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 22 Jun 1999 18:58:42 +0900

dbskkd-cdb (1.00+cdb0.55-1) unstable; urgency=low
  
  * The source package of dbskkd-cdb now includes cdb-0.55.tar.gz not to
    depend on cdb.  (Bug#39851)

 -- Takao KAWAMURA <kawamura@debian.org>  Mon, 21 Jun 1999 22:29:16 +0900

dbskkd-cdb (1.00-1) unstable; urgency=low

  * Initial Release.

 -- Takao KAWAMURA <kawamura@debian.org>  Wed, 16 Jun 1999 15:54:23 +0900
